|
|
@@ -0,0 +1,45 @@
|
|
|
+#!/bin/sh
|
|
|
+set -e
|
|
|
+
|
|
|
+TESTDIR=$(readlink -f $(dirname $0))
|
|
|
+. $TESTDIR/framework
|
|
|
+
|
|
|
+setupenvironment
|
|
|
+configarchitecture "i386"
|
|
|
+
|
|
|
+DESCR='Some description that has a unusual word xxyyzz and aabbcc'
|
|
|
+DESCR2='Some other description with the unusual aabbcc only'
|
|
|
+insertpackage 'unstable' 'foo' 'all' '1.0' '' '' "$DESCR"
|
|
|
+insertpackage 'testing' 'bar' 'i386' '2.0' '' '' "$DESCR2"
|
|
|
+
|
|
|
+setupaptarchive
|
|
|
+
|
|
|
+APTARCHIVE=$(readlink -f ./aptarchive)
|
|
|
+
|
|
|
+# with OP progress
|
|
|
+testequal "Sorting...
|
|
|
+Full Text Search...
|
|
|
+foo/unstable 1.0 all
|
|
|
+ $DESCR
|
|
|
+" apt search xxyyzz
|
|
|
+
|
|
|
+# without op progress
|
|
|
+testequal "foo/unstable 1.0 all
|
|
|
+ $DESCR
|
|
|
+" apt search -qq xxyyzz
|
|
|
+
|
|
|
+# search with multiple words is a AND search
|
|
|
+testequal "foo/unstable 1.0 all
|
|
|
+ $DESCR
|
|
|
+" apt search -qq aabbcc xxyyzz
|
|
|
+
|
|
|
+# output is sorted and search word finds both package
|
|
|
+testequal "bar/testing 2.0 i386
|
|
|
+ $DESCR2
|
|
|
+
|
|
|
+foo/unstable 1.0 all
|
|
|
+ $DESCR
|
|
|
+" apt search -qq aabbcc
|
|
|
+
|
|
|
+
|
|
|
+
|